org.keycloak.credential

## Enum CredentialTypeMetadata.Category

- java.lang.Object
- - java.lang.Enum<CredentialTypeMetadata.Category>
  - - org.keycloak.credential.CredentialTypeMetadata.Category

- All Implemented Interfaces:
    Serializable, Comparable<CredentialTypeMetadata.Category>
  Enclosing class:
    CredentialTypeMetadata

      public static enum CredentialTypeMetadata.Category
      extends Enum<CredentialTypeMetadata.Category>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC_AUTHENTICATION`
    `PASSWORDLESS`
    `TWO_FACTOR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareWith(CredentialTypeMetadata.Category that)`
    `String` | `toString()`
    `static CredentialTypeMetadata.Category` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CredentialTypeMetadata.Category[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASIC_AUTHENTICATION

          public static final CredentialTypeMetadata.Category BASIC_AUTHENTICATION

    - #### TWO_FACTOR

          public static final CredentialTypeMetadata.Category TWO_FACTOR

    - #### PASSWORDLESS

          public static final CredentialTypeMetadata.Category PASSWORDLESS

  - ### Method Detail

    - #### values

          public static CredentialTypeMetadata.Category[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CredentialTypeMetadata.Category c : CredentialTypeMetadata.Category.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CredentialTypeMetadata.Category valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<CredentialTypeMetadata.Category>`

    - #### compareWith

          public int compareWith(CredentialTypeMetadata.Category that)

Copyright © 2020 JBoss by Red Hat. All rights reserved.